Bug 443095 - on startup emacs thinks another process is accessing .emacs.desktop
on startup emacs thinks another process is accessing .emacs.desktop
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
9
powerpc Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Novotny
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-18 12:19 EDT by Doug Maxey
Modified: 2009-03-05 09:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-05 09:19:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doug Maxey 2008-04-18 12:19:27 EDT
Description of problem:
emacs complains when starting up that pid $$ already has the .emacs.desktop
file open, when in fact the pid is the currently running instance.

Version-Release number of selected component (if applicable):

GNU Emacs 22.1.50.1 (powerpc-redhat-linux-gnu, GTK+ Version 2.12.8)
 of 2008-02-18 on ppc3.fedora.redhat.com

How reproducible: 100%

Steps to Reproduce:
1. touch .emacs.desktop
2. emacs
3.
  
Actual results:


Expected results:
current and only instance accessing file should be able to do so without 
warning about it.  :(


Additional info:
have not tried rawhide on other arch yet.

same symptoms occur with both the graphical and nox versions.
Comment 1 Bug Zapper 2008-05-14 05:39:42 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Debarshi Ray 2008-11-07 14:47:33 EST
Can you reproduce this problem with more recent packages of GNU Emacs (probably emacs-22.2-5.fc9)?
Comment 3 Doug Maxey 2008-11-09 22:29:20 EST
(In reply to comment #2)
> Can you reproduce this problem with more recent packages of GNU Emacs (probably
> emacs-22.2-5.fc9)?

No.  I juggled several of the desktop variables and it went away.  However, I did have the default for the desktop setup when I started. (I had set nothing).  Now it seems to require:

 '(desktop-after-read-hook nil)

 '(desktop-file-name-format (quote absolute))

 '(desktop-load-locked-desktop t)

 '(desktop-path (quote (".")))

 '(desktop-restore-eager t)

 '(desktop-save t)

 '(desktop-save-mode t)


You can close this one.  I have some more interesting behavior for the F10 version and will open another.
Comment 5 Daniel Novotny 2009-03-05 09:19:03 EST
> You can close this one.  I have some more interesting behavior for the F10
> version and will open another.
ok, closing

Note You need to log in before you can comment on or make changes to this bug.